Subject: Re: A proposal for a Cygnus naming convention
From: Gilgamesh Nootebos <[email-masked]>
To: [email-masked]
Date: Wed, 08 May 2002 16:55:42 +0200

Mellman Thomas wrote:
> 
> Okay, it's clear now that it won't be possible to keep things easy to parse.
> 
This is almost trivially easy if I wanted to manipulate mounts points in 
a script:

$ regtool -k list 'HKLM\software\Cygnus Solutions\Cygwin\mounts v2'
 >/
 >/usr/bin
 >/usr/lib
 >/home

$ regtool get 'HKLM\software\Cygnus Solutions\Cygwin\mounts v2\/home\native'
 >C:\Documents and Settings\gilgames\Mijn Documenten

There is only one reason I might want to do this; with mount(1) I can't 
easily get exactly the string I want without falling back to something 
like sed/awk/perl/<add your favourite stream manipulation tool here>.

And unices handle [[:space:]] characters very well, but it just isn't 
tradition to use them.

gilgames
-- 
Gilgamesh Nootebos (Elegant Relational Development)
@: [email-masked]
T: +31 36 54 77 100

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/